> For the complete documentation index, see [llms.txt](https://docs.zebec.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zebec.io/zebec-near/zebec-near-sdk/normal-stream/view-methods.md).

# View methods

`getStreamId` gets parsed result of stream an object with given id.

```typescript
const result = await streamService.getStreamById({ streamId: "0" });
```

`getIncomingStreamsCount` gets the parsed result of incoming streams of the given userId.

```typescript
const params = { 
    userId: "",
    limit: 10;
    fromIndex: "0"
}
const result = await streamService.getIncomingStreamsCount(params);
```

`getOutgoingStreamsCount` gets the parsed result of outgoing streams of the given userId.

```typescript
const params = { 
    userId: "",
    limit: 10;
    fromIndex: "0"
}
const result = await streamService.getOutgoingStreamsCount()
```

`getStreamsByUser` gets the parsed result of both incoming and outgoing streams of the given userId.

```typescript
const params = { 
    userId: "",
    limit: 10;
    fromIndex: "0"
}
const result = await streamService.getStreamsByUser()
```

`getOutgoingStreamsCount` gets the count of outgoing streams of the given userId.

```typescript
const result = await streamService.getOutgoingStreamsCount({userId: ""});                                 
```

`getIncomingStreamsCount` gets the count of incoming streams of the given userId.

```typescript
const result = await streamService.getIncomingStreamsCount({userId: ""});
```

`getOutgoingOngoingTotalAmount` gets the parsed result of both incoming and outgoing streams of the given userId and tokenId.

```typescript
const params = {
    userId: "",
    contractId: "",
    fromIndex: "100",
    limit: 0,
};
const result = await streamService.getStreamsForToken(params )
```

`getStreamsTotalAmount` gets the total amount of balance from outgoing and incoming streams for a given token.

```typescript
const params = {
    userId: "",
    contractId: "",
    fromIndex: "100",
    limit: 0,
};
const totalAmount = await streamService.getStreamsTotalAmount();
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zebec.io/zebec-near/zebec-near-sdk/normal-stream/view-methods.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
